## ros-humble-autoware-auto-msgs 1.0.0

=== CMakeLists.txt ===
# All rights reserved.
cmake_minimum_required(VERSION 3.5)

### Export headers
project(autoware_auto_msgs)

# Generate messages
find_package(ament_cmake_auto REQUIRED)
ament_auto_find_build_dependencies()

rosidl_generate_interfaces(${PROJECT_NAME}
  # Helper types
  "msg/BoundingBox.idl"
  "msg/Complex32.idl"
  "msg/DiagnosticHeader.idl"
  "msg/Quaternion32.idl"
  "msg/TrajectoryPoint.idl"
  "msg/MapPrimitive.idl"
  # Interfaces
  "msg/BoundingBoxArray.idl"
  "msg/ControlDiagnostic.idl"
  "msg/HighLevelControlCommand.idl"
  "msg/RawControlCommand.idl"
  "msg/Trajectory.idl"
  "msg/VehicleControlCommand.idl"
  "msg/VehicleKinematicState.idl"
  "msg/VehicleOdometry.idl"
  "msg/VehicleStateCommand.idl"
  "msg/VehicleStateReport.idl"
  "msg/HADMapBin.idl"
  "msg/Route.idl"
  "srv/AutonomyModeChange.idl"
  "srv/HADMapService.idl"
  "srv/ModifyTrajectory.idl"
  "action/PlanTrajectory.idl"
  # Implementation-specific messages
  "msg/PointClusters.idl"
  DEPENDENCIES "std_msgs" "geometry_msgs" "sensor_msgs"
  ADD_LINTER_TESTS
)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_auto_package()

=== debian/changelog ===
ros-humble-autoware-auto-msgs (1.0.0-4jammy) jammy; urgency=high

  * Merge branch 'BoundingBoxArray-design' into 'master'
    Add design doc for bounding-box message
    See merge request autowarefoundation/autoware.auto/autoware_auto_msgs!12 <https://gitlab.com/autowarefoundation/autoware.auto/autoware_auto_msgs/-/merge_requests/12>
  * Working around https://github.com/ros-tooling/libstatistics_collector/issues/51.
  * Fixing constants in AutonomyModeChange.
  * Making AutonomyModeChange return empty.
  * Merge branch '657-autonomy-service' into 'master'
    Adding AutonomyModeChange service definition.
    See merge request autowarefoundation/autoware.auto/autoware_auto_msgs!11 <https://gitlab.com/autowarefoundation/autoware.auto/autoware_auto_msgs/-/merge_requests/11>
  * Adding velocity_mps to VehicleControlCommand.
  * Merge branch '474-add-modify-trajectory-service' into 'master'
    Adding ModifyTrajectory service definition.
    See merge request autowarefoundation/autoware.auto/autoware_auto_msgs!10 <https://gitlab.com/autowarefoundation/autoware.auto/autoware_auto_msgs/-/merge_requests/10>
  * Merge branch 'modify-plan-trajectory-action' into 'master'
    modify PlanTrajectory Action to return trajectory in Result
    See merge request autowarefoundation/autoware.auto/autoware_auto_msgs!9 <https://gitlab.com/autowarefoundation/autoware.auto/autoware_auto_msgs/-/merge_requests/9>
  * Merge branch 'fix/plan_trajectory_action' into 'master'
    fix include file and namespace of constants
    See merge request autowarefoundation/autoware.auto/autoware_auto_msgs!8 <https://gitlab.com/autowarefoundation/autoware.auto/autoware_auto_msgs/-/merge_requests/8>
  * Merge branch 'add-actions-dependency' into 'master'
    Cleaning up package.xml and adding action_msgs dependency.
    See merge request autowarefoundation/autoware.auto/autoware_auto_msgs!7 <https://gitlab.com/autowarefoundation/autoware.auto/autoware_auto_msgs/-/merge_requests/7>
  * Merge branch 'add-plan-trajectory-action' into 'master'
    add PlanTrajectory action
    See merge request autowarefoundation/autoware.auto/autoware_auto_msgs!6 <https://gitlab.com/autowarefoundation/autoware.auto/autoware_auto_msgs/-/merge_requests/6>
  * Contributors: Frederik Beaujean, Joshua Whitley, mitsudome-r

 -- Apex.AI, Inc. <opensource@apex.ai>  Tue, 05 Jan 2021 08:00:00 -0000

ros-humble-autoware-auto-msgs (0.1.0-4jammy) jammy; urgency=high

  * Merge branch 'add-hadmap-msgs' into 'master'
    had map msgs - respect idl constant naming conventions
    See merge request autowarefoundation/autoware.auto/autoware_auto_msgs!5 <https://gitlab.com/autowarefoundation/autoware.auto/autoware_auto_msgs/-/merge_requests/5>
  * Merge branch 'add-hadmap-msgs' into 'master'
    Add hadmap msgs
    See merge request autowarefoundation/autoware.auto/autoware_auto_msgs!4 <https://gitlab.com/autowarefoundation/autoware.auto/autoware_auto_msgs/-/merge_requests/4>
  * Add hadmap msgs
  * Merge branch '3-convert-messages-from-rosmsg-to-idl' into 'master'
    Resolve "Convert messages from ROSmsg to IDL"
    Closes #3 <https://gitlab.com/autowarefoundation/autoware.auto/autoware_auto_msgs/-/issues/3>
    See merge request autowarefoundation/autoware.auto/autoware_auto_msgs!2 <https://gitlab.com/autowarefoundation/autoware.auto/autoware_auto_msgs/-/merge_requests/2>
  * Resolve "Convert messages from ROSmsg to IDL"
  * Contributors: Esteve Fernandez, Joshua Whitley, simon-t4

 -- Apex.AI, Inc. <opensource@apex.ai>  Fri, 07 Aug 2020 07:00:00 -0000

ros-humble-autoware-auto-msgs (0.0.2-4jammy) jammy; urgency=high

  * Merge branch '1-import-autoware_auto_msgs-from-autoware-auto' into 'master'
    Resolve "Import autoware_auto_msgs from Autoware.Auto"
    Closes #1 <https://gitlab.com/autowarefoundation/autoware.auto/autoware_auto_msgs/-/issues/1>
    See merge request autowarefoundation/autoware.auto/autoware_auto_msgs!1 <https://gitlab.com/autowarefoundation/autoware.auto/autoware_auto_msgs/-/merge_requests/1>
  * Initial import
  * Contributors: Esteve Fernandez, Geoffrey Biggs

 -- Apex.AI, Inc. <opensource@apex.ai>  Mon, 02 Mar 2020 08:00:00 -0000

=== debian/control ===
Source: ros-humble-autoware-auto-msgs
Section: misc
Priority: optional
Maintainer: Apex.AI, Inc. <opensource@apex.ai>
Build-Depends: debhelper (>= 9.0.0), ros-humble-action-msgs, ros-humble-ament-cmake-auto, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-geometry-msgs, ros-humble-rosidl-default-generators, ros-humble-sensor-msgs, ros-humble-std-msgs, ros-humble-ros-workspace, ros-humble-rosidl-typesupport-fastrtps-c, ros-humble-rosidl-typesupport-fastrtps-cpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-autoware-auto-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-action-msgs, ros-humble-geometry-msgs, ros-humble-rosidl-default-runtime, ros-humble-sensor-msgs, ros-humble-std-msgs, ros-humble-ros-workspace
Description: Interfaces between core Autoware.Auto components

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-autoware-auto-msgs//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install
